Page MenuHomeVyOS Platform

Support NDP protocol monitoring
Closed, ResolvedPublicFEATURE REQUEST

Description

In the era of IPv6, when ARP is replaced by NDP, NDP monitoring with the following commands can be considered in the operation mode:

sudo ndptool monitor

However, Debian does not install the libndp-tools package by default. To use NDP monitoring, you need to use this package.

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
ResolvedFEATURE REQUESTjack9603301

Event Timeline

This comment was removed by jack9603301.
runar added a subscriber: runar.Jul 15 2020, 2:25 PM

Hi! This PR does the wrong approach for adding this command to the vyos system. As this is a utility that should be used from within the CLI it should be added to the cliwith the xml framework inside vyos-1x, and rhen should be a dependency of vyos-1x, and not to vyos-build

I am about to make an amendment

Please prompt me the correct path to the vyos-1x dependency list @runar

pasik added a subscriber: pasik.Jul 15 2020, 7:20 PM
jack9603301 changed the task status from Open to In progress.Jul 16 2020, 4:56 AM
jack9603301 triaged this task as Normal priority.
jack9603301 changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
jack9603301 changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.Jul 16 2020, 3:31 PM

@c-po Please review my PR

jack9603301 changed the task status from In progress to Needs testing.Jul 17 2020, 7:49 PM

@c-po I know you modified the submission, but the file name is not NTP but NDP

jack9603301 closed this task as Resolved.Jul 19 2020, 3:25 AM
jack9603301 reopened this task as In progress.
jack9603301 closed this task as Resolved.Jul 19 2020, 8:17 AM
This comment was removed by jack9603301.

Add the monitoring tool of NDP to the document, as shown in:

https://github.com/vyos/vyos-documentation/pull/288

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:14 PM